libetonyek::KEY1Dictionary Struct Reference documentation

Classes | Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | List of all members
libetonyek::KEY1Dictionary Struct Reference

A dictionary of all referenceable entities in the presentation. More...

`#include <KEY1Dictionary.h>`

Inheritance diagram for libetonyek::KEY1Dictionary:

## Classes
struct | StyleContext
struct | StylesContext

## Public Member Functions
| KEY1Dictionary ()
void | pushStylesContext ()
void | collectStylesContext (const std::string &contextName)
void | linkStylesContext (const boost::optional< std::string > &master)
void | popStylesContext ()
void | storeImageStyle (IWORKStylePtr_t style, bool definition)
void | storeLineStyle (IWORKStylePtr_t style, bool definition)
void | storeShapeStyle (IWORKStylePtr_t style, bool definition)
void | storeTextboxStyle (IWORKStylePtr_t style, bool definition)
KEYPlaceholderPtr_t | getBodyPlaceholder ()
KEYPlaceholderPtr_t | getPageNumberPlaceholder ()
KEYPlaceholderPtr_t | getTitlePlaceholder ()
void | storeBodyPlaceholder (KEYPlaceholderPtr_t placeHolder)
void | storePageNumberPlaceholder (KEYPlaceholderPtr_t placeHolder)
void | storeTitlePlaceholder (KEYPlaceholderPtr_t placeHolder)
Public Member Functions inherited from libetonyek::IWORKDictionary
| IWORKDictionary ()

## Public Attributes
KEYSlideMap_t | m_masterSlides
std::deque< KEYSlidePtr_t > | m_slides
Public Attributes inherited from libetonyek::IWORKDictionary
IWORKStyleMap_t | m_cellStyles
IWORKStyleMap_t | m_cellCommentStyles
IWORKStyleMap_t | m_characterStyles
IWORKStyleMap_t | m_chartStyles
IWORKStyleMap_t | m_chartSeriesStyles
IWORKStyleMap_t | m_graphicStyles
IWORKStyleMap_t | m_headlineStyles
IWORKStyleMap_t | m_layoutStyles
IWORKStyleMap_t | m_listStyles
IWORKStyleMap_t | m_paragraphStyles
IWORKStyleMap_t | m_slideStyles
IWORKStyleMap_t | m_tableStyles
IWORKStyleMap_t | m_tableCellStyles
IWORKStyleMap_t | m_tableVectorStyles
IWORKStyleMap_t | m_tabularStyles
IWORKStyleMap_t | m_tocStyles
IWORKStyleMap_t | m_vectorStyles
IWORKStylesheetMap_t | m_stylesheets
IWORKPathMap_t | m_beziers
IWORKMediaContentMap_t | m_binaries
IWORKColumnsMap_t | m_columnSets
IWORKShadowMap_t | m_coreImageFilterInfos
IWORKDataMap_t | m_data
IWORKDateTimeFormatMap_t | m_dateTimeFormats
IWORKDurationFormatMap_t | m_durationFormats
IWORKExternalTextWrapMap_t | m_externalTextWraps
IWORKFillMap_t | m_fills
IWORKFilterDescriptorMap_t | m_filterDescriptors
IWORKMediaContentMap_t | m_filteredImages
IWORKFiltersMap_t | m_filters
IWORKFormulaMap_t | m_formulas
IWORKGradientMap_t | m_gradients
IWORKGradientStopMap_t | m_gradientStops
IWORKMediaContentMap_t | m_images
IWORKLineSpacingMap_t | m_lineSpacings
IWORKListLabelGeometryMap_t | m_listLabelGeometries
IWORKListLabelTypeInfoMap_t | m_listLabelTypeInfos
IWORKNumberFormatMap_t | m_numberFormats
IWORKPaddingMap_t | m_paddings
IWORKPatternMap_t | m_patterns
IWORKShadowMap_t | m_shadows
IWORKStrokeMap_t | m_strokes
IWORKTableCellMap_t | m_tableCells
IWORKTableCommentMap_t | m_tableComments
IWORKTableVectorMap_t | m_tableVectors
IWORKTabStopsMap_t | m_tabs
IWORKTableMap_t | m_tabulars
IWORKListLabelTypeInfoMap_t | m_textLabels
IWORKMediaContentMap_t | m_texturedFillImages
IWORKMediaContentMap_t | m_unfiltereds
std::unordered_map< ID_t, std::deque< double > > | m_doubleArrays
std::unordered_map< ID_t, std::deque< IWORKListLabelGeometry > > | m_listLabelGeometriesArrays
std::unordered_map< ID_t, std::deque< IWORKListLabelTypeInfo_t > > | m_listLabelTypesArrays

## Protected Types
typedef std::unordered_map< ID_t, StylesContext > | StylesContextMap_t

## Protected Member Functions
StylesContext & | getCurrentStylesContext ()

## Protected Attributes
std::deque< StylesContext > | m_styleContexts
StylesContextMap_t | m_styleContextsMap

## Detailed Description

A dictionary of all referenceable entities in the presentation.

In other words, all entities that might be included through a -ref element in the format. This is purely a file format concept; all that matters when an entity is inserted by a reference is that there has been an entity of the same type and with the same content inserted previously (or at least that is how I understand it. I might be wrong about it). That means we need to know all entities in the whole presentation to resolve references.

Note
  The dictionary contains (among other things) all master styles, therefore we do not handle them separately. (We might do that in the future, to ensure correctness of the format.)

## Member Typedef Documentation

## ◆ StylesContextMap_t

typedef std::unordered_map<ID_t, StylesContext> libetonyek::KEY1Dictionary::StylesContextMap_t
| protected

## Constructor & Destructor Documentation

## ◆ KEY1Dictionary()

libetonyek::KEY1Dictionary::KEY1Dictionary | ( |  | ) |

## Member Function Documentation

## ◆ collectStylesContext()

void libetonyek::KEY1Dictionary::collectStylesContext | ( | const std::string & | contextName | ) |

## ◆ getBodyPlaceholder()

KEYPlaceholderPtr_t libetonyek::KEY1Dictionary::getBodyPlaceholder | ( |  | ) |

Referenced by libetonyek::KEY1ParserState::storeCurrentPlaceholder().

## ◆ getCurrentStylesContext()

KEY1Dictionary::StylesContext & libetonyek::KEY1Dictionary::getCurrentStylesContext | ( |  | ) |
| protected

Referenced by getBodyPlaceholder(), getPageNumberPlaceholder(), getTitlePlaceholder(), linkStylesContext(), storeBodyPlaceholder(), storeImageStyle(), storeLineStyle(), storePageNumberPlaceholder(), storeShapeStyle(), storeTextboxStyle(), and storeTitlePlaceholder().

## ◆ getPageNumberPlaceholder()

KEYPlaceholderPtr_t libetonyek::KEY1Dictionary::getPageNumberPlaceholder | ( |  | ) |

## ◆ getTitlePlaceholder()

KEYPlaceholderPtr_t libetonyek::KEY1Dictionary::getTitlePlaceholder | ( |  | ) |

Referenced by libetonyek::KEY1ParserState::storeCurrentPlaceholder().

## ◆ linkStylesContext()

void libetonyek::KEY1Dictionary::linkStylesContext | ( | const boost::optional< std::string > & | master | ) |

## ◆ popStylesContext()

void libetonyek::KEY1Dictionary::popStylesContext | ( |  | ) |

## ◆ pushStylesContext()

void libetonyek::KEY1Dictionary::pushStylesContext | ( |  | ) |

## ◆ storeBodyPlaceholder()

void libetonyek::KEY1Dictionary::storeBodyPlaceholder | ( | KEYPlaceholderPtr_t | placeHolder | ) |

## ◆ storeImageStyle()

void libetonyek::KEY1Dictionary::storeImageStyle | ( | IWORKStylePtr_t | style,
|  | bool | definition )

## ◆ storeLineStyle()

void libetonyek::KEY1Dictionary::storeLineStyle | ( | IWORKStylePtr_t | style,
|  | bool | definition )

## ◆ storePageNumberPlaceholder()

void libetonyek::KEY1Dictionary::storePageNumberPlaceholder | ( | KEYPlaceholderPtr_t | placeHolder | ) |

## ◆ storeShapeStyle()

void libetonyek::KEY1Dictionary::storeShapeStyle | ( | IWORKStylePtr_t | style,
|  | bool | definition )

## ◆ storeTextboxStyle()

void libetonyek::KEY1Dictionary::storeTextboxStyle | ( | IWORKStylePtr_t | style,
|  | bool | definition )

## ◆ storeTitlePlaceholder()

void libetonyek::KEY1Dictionary::storeTitlePlaceholder | ( | KEYPlaceholderPtr_t | placeHolder | ) |

## Member Data Documentation

## ◆ m_masterSlides

KEYSlideMap_t libetonyek::KEY1Dictionary::m_masterSlides

## ◆ m_slides

std::deque<KEYSlidePtr_t> libetonyek::KEY1Dictionary::m_slides

## ◆ m_styleContexts

std::deque<StylesContext> libetonyek::KEY1Dictionary::m_styleContexts
| protected

Referenced by collectStylesContext(), getCurrentStylesContext(), KEY1Dictionary(), linkStylesContext(), popStylesContext(), and pushStylesContext().

## ◆ m_styleContextsMap

StylesContextMap_t libetonyek::KEY1Dictionary::m_styleContextsMap
| protected

Referenced by collectStylesContext(), and linkStylesContext().

The documentation for this struct was generated from the following files:

- KEY1Dictionary.h
- KEY1Dictionary.cpp